@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400&display=swap");

:root {
	--ff-poppins: "Poppins", sans-serif;

	--clr-dark: #1d1e4c;
	--clr-light: #e5e5fd;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

* {
	margin: 0;
	padding: 0;
}

html {
	font-size: 62.5%;
}

body {
	font-family: var(--ff-poppins);
	font-size: 1.6rem;
	line-height: 1.6;
}

h1,
h2,
h3 {
	line-height: 1.1;
}

.main {
	background-color: var(--clr-light);
	border: 1.6rem solid var(--clr-dark);
}

.container {
	width: 100%;
	max-width: 1044px;
	margin: 3rem auto;
	/* border: 1px solid black; */
}

section + section {
	margin-top: 4rem;
	padding: 1rem;
}

.img-box {
	width: 220px;
	height: 300px;
	margin: 0 auto;
}

img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	border-radius: 14rem;
}

h1 {
	font-size: 2.5rem;
	margin-block: 2rem 1rem;
}

/* hero section styling */
.hero {
	text-align: center;
}

.duration {
	font-size: 1.8rem;
}

@media (min-width: 550px) {
	.img-box {
		width: 280px;
		height: 380px;
	}
	h1 {
		font-size: 3rem;
	}
	.duration {
		font-size: 2rem;
	}
}

@media (min-width: 850px) {
	.hero {
		display: flex;
		justify-content: space-evenly;
		align-items: flex-end;
	}

	.img-box {
		margin: 0;
	}

	.hero-text {
		text-align: right;
	}

	h1 {
		font-size: 4rem;
		font-weight: 400;
	}

	.duration {
		font-size: 2.5rem;
	}
}

@media (min-width: 1050px) {
	.img-box {
		width: 300px;
		height: 420px;
	}

	.hero {
		justify-content: space-between;
	}

	h1 {
		font-size: 5rem;
	}

	.duration {
		font-size: 3rem;
		margin-bottom: 2rem;
	}
}

/* content section styling */
h2 {
	font-size: 3.5rem;
	margin-bottom: 1rem;
}

.content-data {
	line-height: 1.6;
	letter-spacing: 0.2rem;
	text-align: justify;
}

/* biographies section styling */

h3 {
	font-size: 2rem;
	margin-bottom: 2rem;
}

ul {
	list-style-position: inside;
}

li {
	margin-left: 1rem;
	margin-bottom: 1rem;
}

@media (min-width: 550px) {
	section + section {
		padding: 1rem 2rem;
	}
	h2 {
		font-size: 4rem;
	}
	h3 {
		font-size: 2.2rem;
	}
}

@media (min-width: 850px) {
	section + section {
		padding: 1rem 4rem;
	}
	h2 {
		font-size: 4rem;
	}
	h3 {
		font-size: 2.2rem;
	}
}

@media (min-width: 1050px) {
	section + section {
		padding: 0;
	}

	h2 {
		font-size: 7rem;
	}
}

/* footer styling */
footer {
	padding: 1rem;
}

footer p {
	text-align: right;
}

@media (min-width: 550px) {
	footer {
		padding: 1rem 2rem;
	}
}

@media (min-width: 850px) {
	footer {
		padding: 1.5rem 3rem;
	}
}

@media (min-width: 1000px) {
	footer {
		padding: 2rem 3.5rem;
	}
}
